[arch-commits] Commit in libxml2/repos (extra-i686 extra-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Thu May 1 10:49:04 EDT 2008


    Date: Thursday, May 1, 2008 @ 10:49:04
  Author: jgc
Revision: 1153

Merged revisions 2-1152 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/libxml2/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r1040 | jgc | 2008-04-28 20:20:38 +0000 (Mon, 28 Apr 2008) | 1 line
  
  upgpkg: libxml2 2.6.32-1
........

Modified:
  libxml2/repos/extra-i686/	(properties)
  libxml2/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |    7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)


Property changes on: libxml2/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /libxml2/trunk:1
   + /libxml2/trunk:1-1152

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-05-01 14:46:02 UTC (rev 1152)
+++ extra-i686/PKGBUILD	2008-05-01 14:49:04 UTC (rev 1153)
@@ -3,7 +3,7 @@
 # Contributor: John Proctor <jproctor at prium.net>
 
 pkgname=libxml2
-pkgver=2.6.31
+pkgver=2.6.32
 pkgrel=1
 pkgdesc="XML parsing library, version 2"
 arch=(i686 x86_64)
@@ -13,12 +13,13 @@
 options=('!libtool')
 source=(ftp://ftp.xmlsoft.org/${pkgname}/${pkgname}-${pkgver}.tar.gz)
 url="http://www.xmlsoft.org/"
-md5sums=('714b0683b1ec4bdc63bc356d729f9b18')
+md5sums=('2621d322c16f0257e30f0ff2b13384de')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
   ./configure --prefix=/usr --with-threads --with-history || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
-  install -D -m644 COPYING ${startdir}/pkg/usr/share/licenses/${pkgname}/COPYING
+  install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }





More information about the arch-commits mailing list